diff --git a/libmscore/layout.cpp b/libmscore/layout.cpp
index e9f0e66..e568380 100644
--- a/libmscore/layout.cpp
+++ b/libmscore/layout.cpp
@@ -3224,18 +3224,18 @@ static qreal findLyricsMaxY(Segment& s, int staffIdx)
                               qreal yOff = l->offset().y();
                               QPointF offset = l->pos() + cr->pos() + s.pos() + s.measure()->pos();
                               QRectF r = l->bbox().translated(offset);
-                              r.translate(0.0, -yOff);
+                              r.translate(0.0, -yOff - l->minDistance().val() * l->spatium());
                               sk.add(r.x(), r.top(), r.width());
                               }
                         }
                   SysStaff* ss = s.measure()->system()->staff(staffIdx);
-                  for (Lyrics* l : cr->lyrics()) {
-                        if (l->autoplace() && l->placeBelow()) {
+//                  for (Lyrics* l : cr->lyrics()) {
+//                        if (l->autoplace() && l->placeBelow()) {
                               qreal y = ss->skyline().south().minDistance(sk);
                               if (y > -lyricsMinTopDistance)
                                     yMax = qMax(yMax, y + lyricsMinTopDistance);
-                              }
-                        }
+//                              }
+//                        }
                   }
             }
       return yMax;
@@ -3260,18 +3260,18 @@ static qreal findLyricsMinY(Segment& s, int staffIdx)
                         if (l->autoplace() && l->placeAbove()) {
                               qreal yOff = l->offset().y();
                               QRectF r = l->bbox().translated(l->pos() + cr->pos() + s.pos() + s.measure()->pos());
-                              r.translate(0.0, -yOff);
+                              r.translate(0.0, -yOff + l->minDistance().val() * l->spatium());
                               sk.add(r.x(), r.bottom(), r.width());
                               }
                         }
                   SysStaff* ss = s.measure()->system()->staff(staffIdx);
-                  for (Lyrics* l : cr->lyrics()) {
-                        if (l->autoplace() && l->placeAbove()) {
+//                  for (Lyrics* l : cr->lyrics()) {
+//                        if (l->autoplace() && l->placeAbove()) {
                               qreal y = sk.minDistance(ss->skyline().north());
                               if (y > -lyricsMinTopDistance)
                                     yMin = qMin(yMin, -y - lyricsMinTopDistance);
-                              }
-                        }
+//                              }
+//                        }
                   }
             }
       return yMin;
diff --git a/libmscore/lyrics.cpp b/libmscore/lyrics.cpp
index 2a6b34e..427889a 100644
--- a/libmscore/lyrics.cpp
+++ b/libmscore/lyrics.cpp
@@ -95,6 +95,7 @@ void Lyrics::write(XmlWriter& xml) const
             }
       xml.tag("ticks", _ticks.ticks(), 0); // pre-3.1 compatibility: write integer ticks under <ticks> tag
       writeProperty(xml, Pid::LYRIC_TICKS);
+      writeProperty(xml, Pid::MIN_DISTANCE);
 
       TextBase::writeProperties(xml);
       xml.etag();
